using System;

class Program
{
    static void Main()
    {
        string[] s1 = Console.ReadLine().Split();
        int n= int.Parse(s1[0]);
        int h= int.Parse(s1[1]);
        int[] s = new int[n+1];
        s1=Console.ReadLine().Split();
        for (int i = 0; i < n; i++)
        {
            s[i]=int.Parse(s1[i]);
        }
        int i2 = -1;
        for(int i = 0;i < n; i++)
        {
            if (h >= s[i])
            {
                i2 = i+1;
                break;
            }
        }
        Console.WriteLine(i2);
    }
}